---
search:
  tags:
    - Stories
    - GET
seo:
  description: >-
    List generated stories for an organization. Reference for the GET /stories
    endpoint in the Modem API.
sidebar:
  label: List stories
  badge: GET
title: List stories
type: openapi-operation
---
List generated stories for an organization.

`GET /stories`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "archivedCount": 0,
  "everythingCount": 0,
  "forYouCount": 0,
  "stories": [
    {
      "archive": {
        "actor": {
          "name": "Modem Agent",
          "type": "agent"
        },
        "archivedAt": "2019-08-24T14:15:22Z",
        "reason": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "draft": {
        "detail": {
          "main": {
            "elements": {
              "property1": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              },
              "property2": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              }
            },
            "root": "string"
          },
          "sidebar": {
            "elements": {
              "property1": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              },
              "property2": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              }
            },
            "root": "string"
          },
          "title": null
        },
        "list": {
          "elements": {
            "property1": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            },
            "property2": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            }
          },
          "root": "string"
        },
        "slug": "string",
        "sourceRefs": [],
        "summary": null,
        "title": null,
        "version": 1
      },
      "isRead": true,
      "viewerRelevance": {
        "linkedAuthorIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "memberId": "string",
        "relevanceKind": "action",
        "relevanceLabel": "string",
        "relevanceRationale": "string",
        "user": {
          "id": "string",
          "image": "string",
          "name": "string"
        }
      }
    }
  ],
  "unreadCount": 0,
  "visitedThrough": "2019-08-24T14:15:22Z"
}
```
